package com.tanpu.community.dao.entity.community;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 讨论区(主题)关注关系表
 * </p>
 *
 * @author xudong
 * @since 2022-02-17
 */
@TableName("topic_follow_rel")
@ApiModel(value="TopicFollowRelEntity对象", description="讨论区(主题)关注关系表")
@Builder
public class TopicFollowRelEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "主题Id")
    private String topicId;

    @ApiModelProperty(value = "用户id")
    private String userId;

    @ApiModelProperty(value = "关注时间")
    private LocalDateTime followTime;

    @ApiModelProperty(value = "取消关注时间")
    private LocalDateTime unfollowTime;

    private LocalDateTime createTime;

    private LocalDateTime updateTime;

    private Integer deleteTag;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTopicId() {
        return topicId;
    }

    public void setTopicId(String topicId) {
        this.topicId = topicId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public LocalDateTime getFollowTime() {
        return followTime;
    }

    public void setFollowTime(LocalDateTime followTime) {
        this.followTime = followTime;
    }

    public LocalDateTime getUnfollowTime() {
        return unfollowTime;
    }

    public void setUnfollowTime(LocalDateTime unfollowTime) {
        this.unfollowTime = unfollowTime;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeleteTag() {
        return deleteTag;
    }

    public void setDeleteTag(Integer deleteTag) {
        this.deleteTag = deleteTag;
    }

    @Override
    public String toString() {
        return "TopicFollowRelEntity{" +
        "id=" + id +
        ", topicId=" + topicId +
        ", userId=" + userId +
        ", followTime=" + followTime +
        ", unfollowTime=" + unfollowTime +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        ", deleteTag=" + deleteTag +
        "}";
    }
}
