package com.tanpu.community.feign.wxcp;

import com.tanpu.common.api.CommonResp;
import com.tanpu.community.api.beans.vo.feign.zhibo.ZhiboDetailVO;
import com.tanpu.community.api.beans.vo.feign.zhibo.ZhiboListResp;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

@FeignClient(value = "service-wxcp", url = "${tanpu.wxcp.svc:}", contextId = "wxcp", fallbackFactory = FeignbackForWxcp.class, path = "/wxcp")
//@FeignClient(value = "service-product", contextId = "product", fallbackFactory = FeignBackClientForProducts.class, url = "http://127.0.0.1:8194/product")
public interface FeignClientForWxcp {

    @PostMapping("/wx/kf/sendMessage/{agentId}/{corpId}")
    @ApiOperation("发送微信客服消息")
    CommonResp sendMessage(@PathVariable("agentId") Long agentId,
                           @PathVariable("corpId") String corpId,
                           @RequestBody String requestBody);
}
